Package icyllis.modernui.resources

# Class SystemTheme

java.lang.Object
icyllis.modernui.resources.SystemTheme

public class SystemTheme extends Object
Temp use.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COLOR_CONTROL_ACTIVATED`
  `static final ColorStateList`
  `COLOR_CONTROL_NORMAL`
  `static final int`
  `COLOR_FOREGROUND`
  `static final int`
  `COLOR_FOREGROUND_DISABLED`
  `static final int`
  `COLOR_FOREGROUND_NORMAL`
  `static final float`
  `DISABLED_ALPHA`
  `static final float`
  `PRIMARY_CONTENT_ALPHA`
  `static final float`
  `SECONDARY_CONTENT_ALPHA`
  `static final ColorStateList`
  `TEXT_COLOR_SECONDARY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemTheme()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `modulateColor(int baseColor, float alphaMod)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COLOR_FOREGROUND

    public static final int COLOR_FOREGROUND
    See Also:
      - Constant Field Values

  - ### COLOR_FOREGROUND_NORMAL

    public static final int COLOR_FOREGROUND_NORMAL
    See Also:
      - Constant Field Values

  - ### COLOR_FOREGROUND_DISABLED

    public static final int COLOR_FOREGROUND_DISABLED
    See Also:
      - Constant Field Values

  - ### DISABLED_ALPHA

    public static final float DISABLED_ALPHA
    See Also:
      - Constant Field Values

  - ### PRIMARY_CONTENT_ALPHA

    public static final float PRIMARY_CONTENT_ALPHA
    See Also:
      - Constant Field Values

  - ### SECONDARY_CONTENT_ALPHA

    public static final float SECONDARY_CONTENT_ALPHA
    See Also:
      - Constant Field Values

  - ### COLOR_CONTROL_ACTIVATED

    public static final int COLOR_CONTROL_ACTIVATED
    See Also:
      - Constant Field Values

  - ### TEXT_COLOR_SECONDARY

    public static final ColorStateList TEXT_COLOR_SECONDARY

  - ### COLOR_CONTROL_NORMAL

    public static final ColorStateList COLOR_CONTROL_NORMAL

- ## Constructor Details

  - ### SystemTheme

    public SystemTheme()

- ## Method Details

  - ### modulateColor

    public static int modulateColor(int baseColor, float alphaMod)